<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h4>
        Опишіть своїми словами що таке Document Object Model (DOM)
    </h4>
    <p>
        DOM - це структура, яка створюється браузером, коли він обробляє HTML-документ. Він складається з вузлів, які
        представляють HTML-елементи, і текстових вузлів, які представляють текстовий вміст елементів.
    </p>
    <h4>
        Яка різниця між властивостями HTML-елементів innerHTML та innerText?
    </h4>
    <p>
        innerHTML - це властивість, яка повертає HTML-або задає HTML-вміст внутрішнього вмісту елемента.
        innerText - це властивість, яка повертає текстовий вміст внутрішнього вмісту елемента. Якщо вставити туди HTML,
        то він буде відображатися як текст.
    </p>
    <h4>
        Як можна звернутися до елемента сторінки за допомогою JS? Який спосіб кращий?
    </h4>
    <p>
        Звернутися до елемента сторінки можна за допомогою методів:
        <ul>
            <li>getElementById</li>
            <li>getElementsByClassName</li>
            <li>getElementsByTagName</li>
            <li>querySelector</li>
            <li>querySelectorAll</li>
        </ul>
        Найкращим способом є використання методів querySelector та querySelectorAll, оскільки вони дають можливість
        звернутися до елементів сторінки за допомогою селекторів CSS.
    </p>
</main>
</body>
</html>